summaryrefslogtreecommitdiffstats
path: root/source/n/tftp-hpa
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/n/tftp-hpa
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/n/tftp-hpa')
-rw-r--r--source/n/tftp-hpa/slack-desc20
-rw-r--r--source/n/tftp-hpa/tftp-hpa-0.48.tar.bz2.sign8
-rwxr-xr-xsource/n/tftp-hpa/tftp-hpa.SlackBuild78
3 files changed, 106 insertions, 0 deletions
diff --git a/source/n/tftp-hpa/slack-desc b/source/n/tftp-hpa/slack-desc
new file mode 100644
index 000000000..02aaa3d8f
--- /dev/null
+++ b/source/n/tftp-hpa/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tftp-hpa: tftp-hpa (Trivial File Transfer Protocol)
+tftp-hpa:
+tftp-hpa: The Trivial File Transfer Protocol (TFTP) is normally used only for
+tftp-hpa: booting diskless workstations (or the Slackware installer). The tftp
+tftp-hpa: package provides the user interface for TFTP, which allows users to
+tftp-hpa: transfer files to and from a remote machine. This program and TFTP
+tftp-hpa: provide very little security, and should not be enabled unless it is
+tftp-hpa: expressly needed.
+tftp-hpa:
+tftp-hpa: tftp-hpa is maintained by H. Peter Anvin.
+tftp-hpa:
+
diff --git a/source/n/tftp-hpa/tftp-hpa-0.48.tar.bz2.sign b/source/n/tftp-hpa/tftp-hpa-0.48.tar.bz2.sign
new file mode 100644
index 000000000..0bc250608
--- /dev/null
+++ b/source/n/tftp-hpa/tftp-hpa-0.48.tar.bz2.sign
@@ -0,0 +1,8 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.6 (GNU/Linux)
+Comment: See http://www.kernel.org/signature.html for info
+
+iD8DBQBFwHdCyGugalF9Dw4RArMGAJsGmXTId7KWtaaPU59qtvxfVqR2hACfV4pp
+QP4kzEDqgKlRw3+FYQsQMvY=
+=jnKl
+-----END PGP SIGNATURE-----
diff --git a/source/n/tftp-hpa/tftp-hpa.SlackBuild b/source/n/tftp-hpa/tftp-hpa.SlackBuild
new file mode 100755
index 000000000..c73c882f1
--- /dev/null
+++ b/source/n/tftp-hpa/tftp-hpa.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=0.48
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-tftp-hpa
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf tftp-hpa-$VERSION
+tar xvf $CWD/tftp-hpa-$VERSION.tar.bz2 || exit 1
+cd tftp-hpa-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure --prefix=/usr
+make $NUMJOBS || make || exit 1
+
+cd tftp
+strip --strip-unneeded tftp
+mkdir -p $PKG/usr/bin
+cat tftp > $PKG/usr/bin/tftp
+chmod 755 $PKG/usr/bin/tftp
+mkdir -p $PKG/usr/man/man{1,8}
+cat tftp.1 | gzip -9c > $PKG/usr/man/man1/tftp.1.gz
+cd ../tftpd
+strip --strip-unneeded tftpd
+mkdir -p $PKG/usr/sbin
+cat tftpd > $PKG/usr/sbin/in.tftpd
+chmod 755 $PKG/usr/sbin/in.tftpd
+cat tftpd.8 | gzip -9c > $PKG/usr/man/man8/in.tftpd.8.gz
+cd ..
+
+mkdir -p $PKG/usr/doc/tftp-hpa-$VERSION
+cp -a \
+ CHANGES INSTALL INSTALL.tftp README README.security \
+ $PKG/usr/doc/tftp-hpa-$VERSION
+
+# Finish up the package:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/tftp-hpa-$VERSION-$ARCH-$BUILD.txz
+